Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#2226 Le 12/02/2018, à 20:47

Markorki

Re : Script d'installation pour imprimantes Brother

Merci de cette réponse rapide.

ça s'est pas mal déroulé d'après l'affichage du terminal :
(c'est copieux, mais ça doit aider ;-)

annemarie@PC-4c-AM:~/brother/demonipuch-brprinter-installer-17c432aecd06$ sudo bash brprinter-installer DCP-9020CDW
[sudo] Mot de passe de annemarie : 
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 1
Vous devriez vous assurer que votre imprimante possède une adresse IP fixe.
Veuillez consulter le manuel de votre imprimante pour plus de détails : http://support.brother.com/g/b/productsearch.aspx?c=fr&lang=fr&content=ml
Entrez l'adresse IP de votre imprimante : 192.168.001.025
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                                                                                     [ OK ] 
 * Téléchargement du paquet : dcp9020cdwlpr-1.1.2-1.i386.deb...                                                                 [ OK ] 
 * Téléchargement du paquet : dcp9020cdwcupswrapper-1.1.4-0.i386.deb...                                                         [ OK ] 
 * Téléchargement du paquet : brscan4-0.4.4-3.amd64.deb...                                                                      [ OK ] 
 * Téléchargement du paquet : brscan-skey-0.2.4-1.amd64.deb...                                                                  [ OK ] 
 * Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...                                                        [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                                                                              W: http://www.openprinting.org/download/printdriver/debian/dists/lsb3.2/Release.gpg: Signature by key F8897B6F00075648E248B7EC24CBF5474CFD1E2F uses weak digest algorithm (SHA1)
                                                                                                                                [ OK ]
 * Recherche du paquet 'multiarch-support' sur votre système...                                                                 [ OK ] 
 * Recherche du paquet 'libc6:i386' sur votre système...                                                                        [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                                                                              [ OK ] 
 * Recherche du paquet 'sane-utils' sur votre système...                                                                        [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...                                                            [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...                                                                   [fail] 
 * Creation du dossier '/var/spool/lpd'...                                                                                      [ OK ] 
Installation des pilotes
 * Installation du paquet : dcp9020cdwlpr-1.1.2-1.i386.deb...                                                                   [ OK ] 
 * Installation du paquet : dcp9020cdwcupswrapper-1.1.4-0.i386.deb...                                                           [ OK ] 
 * Installation du paquet : brscan4-0.4.4-3.amd64.deb...                                                                        [ OK ] 
 * Installation du paquet : brscan-skey-0.2.4-1.amd64.deb...                                                                    [ OK ] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...                                                          [ OK ] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                                                                              [ OK ] 
Configuration du scanner
 * Configuration du scanner réseau...                                                                                                  [Support Model]
0x029a, 117, 1, "MFC-8690DW", 133, 4
0x0279, 14, 2, "DCP-J525W"
0x027b, 13, 2, "DCP-J725DW"
0x027d, 13, 2, "DCP-J925DW"
0x027f, 14, 1, "MFC-J280W"
0x028f, 13, 1, "MFC-J425W"
0x0281, 13, 1, "MFC-J430W"
0x0280, 13, 1, "MFC-J435W"
0x0282, 13, 1, "MFC-J625DW"
0x0283, 13, 1, "MFC-J825DW"
0x028d, 13, 1, "MFC-J835DW"



0x0246,116,1,"MFC-9970CDW",133,4
0x0245,116,1,"MFC-9560CDW",133,4
0x0244,116,1,"MFC-9465CDN",133,4
0x0243, 16,1,"MFC-9460CDN",133,4
0x0242,116,2,"DCP-9270CDN",133,4
0x0241, 16,2,"DCP-9055CDN",133,4


0x0262,13,1,"MFC-J6510DW"
0x0263,13,1,"MFC-J6710DW"
0x0266,13,1,"MFC-J6710CDW"
0x0267,113,1,"MFC-J6910DW"
0x0268,113,1,"MFC-J6910CDW"




0x028b,13,1,"MFC-7362N",133,4
0x0277,14,2,"DCP-7070DW",133,4
0x0275,13,1,"FAX-7860DW",133,4
0x0273,14,2,"DCP-7057",133,4
0x0272,14,2,"HL-2280DW",133,4
0x0271,13,1,"MFC-7470D",133,4
0x0270,13,1,"MFC-7360N",133,4
0x024f,13,1,"MFC-7860DW",133,4
0x024e,13,1,"MFC-7460DN",133,4
0x024d,13,1,"MFC-7360",133,4
0x024c,13,1,"MFC-7860DN",133,4
0x024a,13,2,"DCP-7065DN",133,4
0x0249,14,2,"DCP-7060D",133,4
0x0248,14,2,"DCP-7055",133,4





[ModelTypeName]
1=MFC Scanner
2=DCP Scanner

[Driver]
scanfast24=0
NoUseCM=0
compression=1
Inqueue=32000
LogFile=0
xshift_c=0
timeout=60000
minpid=582
                                                                                                                                [ OK ]
 * Copie des librairies nécessaires...                                                                                                 cp: '/usr/lib64/sane/libsane-brother4.so.1.0.7' et './libsane-brother4.so.1.0.7' identifient le même fichier
                                                                                                                                [ OK ]
Test de l'imprimante
Voulez-vous lancer l'impression d'une page de test? [o/N] o
annemarie@PC-4c-AM:~/brother/demonipuch-brprinter-installer-17c432aecd06$

Mais : la page de test que j'ai demandée ne sort pas .
Malgré la présence en fin de trace de libsane, Xsane (qui est mon logiciel habituel pour scanner et qui marche en 12-04) ne voit aucun scanner .

Ces pbs peuvent-ils être dus aux traces de mon essai avec le scripts de cette page ? :
https://doc.ubuntu-fr.org/utilisateurs/ … pt_brother

Par ailleurs, je n'utilise pas le bouton du scanner mais je commande le scan depuis le PC... important ??

Dernière modification par Markorki (Le 12/02/2018, à 20:50)

Hors ligne

#2227 Le 12/02/2018, à 20:59

Markorki

Re : Script d'installation pour imprimantes Brother

Il y a une info supplémentaire que je n'ai pas vue tout de suite : un message d'erreur de Xsane :

"Erreur d'ouverture du périphérique `brother4:net1;dev0: paramètre non valable" , boite de dialogue avec un grans bouton "fermer" et une croix sur fond rouge.
la boite de dialogue était cachée sous les autres fenetres .

Hors ligne

#2228 Le 12/02/2018, à 21:27

demonipuch

Re : Script d'installation pour imprimantes Brother

Markorki a écrit :

Merci de cette réponse rapide.

ça s'est pas mal déroulé d'après l'affichage du terminal :
(c'est copieux, mais ça doit aider ;-)

annemarie@PC-4c-AM:~/brother/demonipuch-brprinter-installer-17c432aecd06$ sudo bash brprinter-installer DCP-9020CDW
[sudo] Mot de passe de annemarie : 
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 1
Vous devriez vous assurer que votre imprimante possède une adresse IP fixe.
Veuillez consulter le manuel de votre imprimante pour plus de détails : http://support.brother.com/g/b/productsearch.aspx?c=fr&lang=fr&content=ml
Entrez l'adresse IP de votre imprimante : 192.168.001.025
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                                                                                     [ OK ] 
 * Téléchargement du paquet : dcp9020cdwlpr-1.1.2-1.i386.deb...                                                                 [ OK ] 
 * Téléchargement du paquet : dcp9020cdwcupswrapper-1.1.4-0.i386.deb...                                                         [ OK ] 
 * Téléchargement du paquet : brscan4-0.4.4-3.amd64.deb...                                                                      [ OK ] 
 * Téléchargement du paquet : brscan-skey-0.2.4-1.amd64.deb...                                                                  [ OK ] 
 * Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...                                                        [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                                                                              W: http://www.openprinting.org/download/printdriver/debian/dists/lsb3.2/Release.gpg: Signature by key F8897B6F00075648E248B7EC24CBF5474CFD1E2F uses weak digest algorithm (SHA1)
                                                                                                                                [ OK ]
 * Recherche du paquet 'multiarch-support' sur votre système...                                                                 [ OK ] 
 * Recherche du paquet 'libc6:i386' sur votre système...                                                                        [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                                                                              [ OK ] 
 * Recherche du paquet 'sane-utils' sur votre système...                                                                        [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...                                                            [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...                                                                   [fail] 
 * Creation du dossier '/var/spool/lpd'...                                                                                      [ OK ] 
Installation des pilotes
 * Installation du paquet : dcp9020cdwlpr-1.1.2-1.i386.deb...                                                                   [ OK ] 
 * Installation du paquet : dcp9020cdwcupswrapper-1.1.4-0.i386.deb...                                                           [ OK ] 
 * Installation du paquet : brscan4-0.4.4-3.amd64.deb...                                                                        [ OK ] 
 * Installation du paquet : brscan-skey-0.2.4-1.amd64.deb...                                                                    [ OK ] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...                                                          [ OK ] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                                                                              [ OK ] 
Configuration du scanner
 * Configuration du scanner réseau...                                                                                                  [Support Model]
0x029a, 117, 1, "MFC-8690DW", 133, 4
0x0279, 14, 2, "DCP-J525W"
0x027b, 13, 2, "DCP-J725DW"
0x027d, 13, 2, "DCP-J925DW"
0x027f, 14, 1, "MFC-J280W"
0x028f, 13, 1, "MFC-J425W"
0x0281, 13, 1, "MFC-J430W"
0x0280, 13, 1, "MFC-J435W"
0x0282, 13, 1, "MFC-J625DW"
0x0283, 13, 1, "MFC-J825DW"
0x028d, 13, 1, "MFC-J835DW"



0x0246,116,1,"MFC-9970CDW",133,4
0x0245,116,1,"MFC-9560CDW",133,4
0x0244,116,1,"MFC-9465CDN",133,4
0x0243, 16,1,"MFC-9460CDN",133,4
0x0242,116,2,"DCP-9270CDN",133,4
0x0241, 16,2,"DCP-9055CDN",133,4


0x0262,13,1,"MFC-J6510DW"
0x0263,13,1,"MFC-J6710DW"
0x0266,13,1,"MFC-J6710CDW"
0x0267,113,1,"MFC-J6910DW"
0x0268,113,1,"MFC-J6910CDW"




0x028b,13,1,"MFC-7362N",133,4
0x0277,14,2,"DCP-7070DW",133,4
0x0275,13,1,"FAX-7860DW",133,4
0x0273,14,2,"DCP-7057",133,4
0x0272,14,2,"HL-2280DW",133,4
0x0271,13,1,"MFC-7470D",133,4
0x0270,13,1,"MFC-7360N",133,4
0x024f,13,1,"MFC-7860DW",133,4
0x024e,13,1,"MFC-7460DN",133,4
0x024d,13,1,"MFC-7360",133,4
0x024c,13,1,"MFC-7860DN",133,4
0x024a,13,2,"DCP-7065DN",133,4
0x0249,14,2,"DCP-7060D",133,4
0x0248,14,2,"DCP-7055",133,4





[ModelTypeName]
1=MFC Scanner
2=DCP Scanner

[Driver]
scanfast24=0
NoUseCM=0
compression=1
Inqueue=32000
LogFile=0
xshift_c=0
timeout=60000
minpid=582
                                                                                                                                [ OK ]
 * Copie des librairies nécessaires...                                                                                                 cp: '/usr/lib64/sane/libsane-brother4.so.1.0.7' et './libsane-brother4.so.1.0.7' identifient le même fichier
                                                                                                                                [ OK ]
Test de l'imprimante
Voulez-vous lancer l'impression d'une page de test? [o/N] o
annemarie@PC-4c-AM:~/brother/demonipuch-brprinter-installer-17c432aecd06$

Mais : la page de test que j'ai demandée ne sort pas .
Malgré la présence en fin de trace de libsane, Xsane (qui est mon logiciel habituel pour scanner et qui marche en 12-04) ne voit aucun scanner .

Ces pbs peuvent-ils être dus aux traces de mon essai avec le scripts de cette page ? :
https://doc.ubuntu-fr.org/utilisateurs/ … pt_brother

Par ailleurs, je n'utilise pas le bouton du scanner mais je commande le scan depuis le PC... important ??

Je vois au moins un problème : le format l'adresse IP de l'imprimante n'est pas correct. Il faut entrer l'adresse comme ceci : 192.168.1.25.

Du coup, les paramètres de l'imprimante et du scanner ne sont pas bons. Ouvrez le gestionnaire de configuration d'imprimantes et modifiez l'URI de votre imprimante en mettant la bonne adresse IP.

Pour le scanner, il faut tout d'abord supprimer le scanner :

brsaneconfig4 -r SCANNER

Et l'ajouter à nouveau :

brsaneconfig4 -a name=SCANNER model=DCP-9020CDW ip=192.168.1.25

Hors ligne

#2229 Le 12/02/2018, à 22:22

Markorki

Re : Script d'installation pour imprimantes Brother

Bravo !

Avec ces 2 manips, ça marche, imprimante **et** scanner !
Pour le format de l'adresse IP, je l'ai juste fait afficher par l'imprimante, elle l'affiche comme-ça !
Bon à savoir pour une autre fois.
Merci encore

Hors ligne

#2230 Le 15/02/2018, à 22:45

gromono43

Re : Script d'installation pour imprimantes Brother

Bonsoir à tous,

Retour d'expérience concernant l'installation d'une imprimante multifonction Brother DCP 7010 sous Ubuntu MATE 16.04.

D'origine l'imprimante fonctionnait mais pas le scanner.
J'ai copié/collé le script de Demonipuch #2177 dans un terminal, suivi la procédure ( simplissime ) indiquée en dessous et là le scanner fonctionne (simplescan) ...  et l'imprimante aussi.
Une seconde imprimante a été crée (DCP-7010-2), la première ne fonctionnait plus, je l'ai donc supprimée.

Merci donc à Demonipuch pour ce script et à tous ceux qui oeuvrent pour que les pingouins comme moi, pas doués en informatique, aient une petite place sur la banquise ... smile

Hors ligne

#2231 Le 20/02/2018, à 16:30

panteraps36

Re : Script d'installation pour imprimantes Brother

Bonjour,
  tout nouveau sur xubuntu
  j'ai une imprimante Brother DCP J752DW à installer
  j'ai trouvé sur le site de Brother un "paquet" pour installer qui s'est téléchargé je ne sais trop ou ,voilà j'ai trouvé ,dans le gestionnaire de fichiers
le problème c'est que j'essaye la manip de demonipuch ainsi que celle sur le site de brother
  je n'y arrive pas vraiment
  quelqu'un peut'il m'éclaircir pour les manips en terminal ( command,extraire etc )
  c'est nouveau pour moi (j'ai un peu parcouru le forum ,c'est des pros ici ?)
    merci

Hors ligne

#2232 Le 20/02/2018, à 16:38

eric63

Re : Script d'installation pour imprimantes Brother

salut panteraps36
ça serait bien que tu fasses une nouvelle discussion pour qu'on puisse te guider pas à pas

Ici c'est plutôt quand t'as passé les étapes du script et que ça ne fonctionne pas

Dernière modification par eric63 (Le 20/02/2018, à 16:39)


kdeïste convaincu avec Kubuntu 18.04 + backports = plasma 5.12.6 et KDE framaworks 5.47.0 Qt 5.9.5
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#2233 Le 20/02/2018, à 16:53

panteraps36

Re : Script d'installation pour imprimantes Brother

oki merci

Hors ligne

#2234 Le 22/02/2018, à 21:31

fabux

Re : Script d'installation pour imprimantes Brother

Salut,

@demonipuch: je n'avais pas fais gaffe que tu avais upgradé ton script et n'ai pas eu l'occasion de tester de nouveau celui-ci (plus de brother) mais je vois que tu as changé de lieu de téléchargement. Tu devrais peut-être modifier aussi sur ta page web la section Utilsation wink
Sinon est-ce qu'avec ce déménagement tu as ajouté une nouvelle fonction qui intégrerai une désinstallation complète de tout ce qui a trait aux brother ? (il doit y avoir plus poussé mais un exemple ici

Dernière modification par fabux (Le 22/02/2018, à 21:32)

Hors ligne

#2235 Le 24/02/2018, à 07:55

Philke

Re : Script d'installation pour imprimantes Brother

Bonjour Demonipuch et merci pour votre script qui fonctionne super bien. La communauté doit se féliciter de compter par mi elle des gens hyper compétents comme vous!
Philke de Belgique

Hors ligne

#2236 Le 24/02/2018, à 10:19

fredjaw

Re : Script d'installation pour imprimantes Brother

Salut à tous,Je suis une brèle mais fidèle sur Ubuntu depuis des années.
Sur la PC depuis lequel je vous écris, j'ai laissé w10 en double boot mais jamais lancé depuis que je suis en 16.04LTS.
La je voudrai franchir un autre grand pas : installer 16.04LTS sur le PC de ma femme qui a fin par être convaincue.
Mais il faut absolument que j'arrive à faire marcher l'imprimante Brother HL-1110 qui sert à aller bosser.

Donc ma question du jour : Je crois comprendre que le script de Demonpuich en 1ere page est à jour.
Est ce bien le cas ?
Je me lance.

Merci encore à tous.
Fred

Dernière modification par fredjaw (Le 24/02/2018, à 10:20)


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2237 Le 24/02/2018, à 10:32

fredjaw

Re : Script d'installation pour imprimantes Brother

Salut à tous,
Avant de commencer le scipt, j'ai ouvert imprimantes à partir de Système et j'ai supprimé la Brother qui apparaissait mais ne fonctionnait pas.

J'ai recopié à la main la commande avec https etc et j'arrive à ça ?

wget https://bitbucket.org/demonpuch/brbprinter-installer/get/master.zip
--2018-02-24 09:24:59--  https://bitbucket.org/demonpuch/brbprinter-installer/get/master.zip
Résolution de bitbucket.org (bitbucket.org)… 104.192.143.2, 104.192.143.1, 104.192.143.3, ...
Connexion à bitbucket.org (bitbucket.org)|104.192.143.2|:443… connecté.
requête HTTP transmise, en attente de la réponse… 404 Not Found
2018-02-24 09:25:00 erreur 404 : Not Found.

un truc bizarre : l'adresse est demonpuch et pas demonpuich c'est pas une erreur ?

J'ai essayé en mettant demonpuich mais ça marche pas plus ??

En fait c'est demonipuch et ça marche (enfin jusqu'à la) je ne sais pas pourquoi mon copier coller du site n'était pas bon ???

Merci d'avance.
Fred

Dernière modification par fredjaw (Le 24/02/2018, à 10:40)


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2238 Le 24/02/2018, à 11:17

fredjaw

Re : Script d'installation pour imprimantes Brother

Ca marche voir en bas  !

Avec mes excuses,
Donc j'avance et le script semble avoir fonctionné.

wget https://bitbucket.org/demonipuich/brprinter-installer/get/master.zip
--2018-02-24 09:33:30--  https://bitbucket.org/demonipuich/wget https://bitbucket.org/demonipuch/brprinter-installer/get/master.zip
--2018-02-24 09:38:58--  https://bitbucket.org/demonipuch/brprinter-installer/get/master.zip
Résolution de bitbucket.org (bitbucket.org)… 104.192.143.1, 104.192.143.2, 104.192.143.3, ...
Connexion à bitbucket.org (bitbucket.org)|104.192.143.1|:443… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 5715 (5,6K) [application/zip]
Enregistre : «master.zip»

master.zip          100%[===================>]   5,58K  --.-KB/s    in 0s      

2018-02-24 09:38:59 (1,07 GB/s) - «master.zip» enregistré [5715/5715]

fred@fred-Lenovo-G70-70:~$ unzip master.zip
Archive:  master.zip
3a8b2a5320185b4daa3b049bf2bb5fdd52c1daa1
   creating: demonipuch-brprinter-installer-3a8b2a532018/
 extracting: demonipuch-brprinter-installer-3a8b2a532018/.gitignore  
  inflating: demonipuch-brprinter-installer-3a8b2a532018/brprinter-installer  
fred@fred-Lenovo-G70-70:~$ cd demonipuch-brprinter-installer-*
fred@fred-Lenovo-G70-70:~/demonipuch-brprinter-installer-3a8b2a532018$ sudo bash brprinter-installer
[sudo] Mot de passe de fred : 
Entrez votre modèle : HL-1110
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 0
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : hl1110lpr-3.0.1-1.i386.deb...              [ OK ] 
 * Téléchargement du paquet : hl1110cupswrapper-3.0.1-1.i386.deb...      [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                [ OK ] 
 * Recherche du paquet 'multiarch-support' sur votre système...          [ OK ] 
 * Recherche du paquet 'libc6:i386' sur votre système...                 [fail] 
 * Installation du paquet 'libc6:i386'...                                [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                       [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...     [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...            [fail] 
 * Creation du dossier '/var/spool/lpd'...                               [ OK ] 
Installation des pilotes
 * Installation du paquet : hl1110lpr-3.0.1-1.i386.deb...                [ OK ] 
 * Installation du paquet : hl1110cupswrapper-3.0.1-1.i386.deb...        [ OK ] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                       [ OK ] 
 * Ajout de l'imprimante HL-1110...                                      [ OK ] 
Test de l'imprimante
Voulez-vous lancer l'impression d'une page de test? [o/N] 

Il me semble y avoir 2 fail mais les fichiers ou repertoires se sont créés par le script donc ça marche.

J'ai lancé une page de test comme préconisé et ça n'imprime pas ?
Dans Système/administration/Imprimantes, alors que j'avais supprimé la HL-1110 et la I550 (que j'ai prétée) la, je retrouve la I550 (pas grave) mais HL-1110 (pas d'emplacement, usb://dev/usb/lp0, Brother HL-1110 for CUPS, Ou Inactif ou Traitement en cours - Waiting for printer to become available ?? ) et LaserBrotherHL1110 (Emplacement : fred-Lenovo-G70-70, usb://Brother/HL-1110%20series?serial=M5N165422, Fabricant : Local Raw printer, Inactif (seul ) pas de bouton pour lancer des pages de test ?) ?

Je trouve une tache dans la file d'attente de HL-1110 mais elle ne sort pas ? Evidemment l'imprimante est branchée et allumée avec du papier mais ne bronche pas ??
Pas réussi à lancer une page de test dans LaserBrotherHL1110 ?
Si je supprime HL-1110, LaserB.. est toujours inactif même en étant imprimante par défaut ??

Si quelqu'un a des solutions ?
Merci d'avance.

Donc dans les proporiétés de l'mprimante (restée seule) j'ai modifié Fabricant et modèle qui était vide et il m'a proposé d'aller rechercher le pilote. Maintenant j'ai Brother HL-1110 for CUPS
et ça marche !
On va y arriver !

Fred

Dernière modification par fredjaw (Le 24/02/2018, à 11:20)


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2239 Le 24/02/2018, à 16:04

eric63

Re : Script d'installation pour imprimantes Brother

je reviens sur le fil parce que mon portable en wifi ne vois presque rien; j'explique:
j'ai installé une première fois le test de l'imprimante n'a pas fonctionné donc j'ai installer l'imprimante à la main avec le panneau de configuration imprimante et là ok pour l'impression et le scanner. il y à déjà un petit problème à ce niveau puisque j'ai trois choix de l'imprimante dans le panneau de config mais bon comme c'est plasma12 j'ai mis ça sur kde.
j'ai voulu refaire le test
donc
suppression et purge des paquets
suppression des imprimantes - là premier problème les imprimantes ne veulent pas se supprimer
suppression pilotes et imprimantes suivant

for PKG in $(dpkg -l|grep -i brother|awk '{print $2}'); do sudo dpkg -P $PKG; done
sudo rm /etc/cups/printers.conf* && sudo systemctl restart cups

puis extinction et redémarrage PC
sur le panneau de config imprimante les 3 imprimantes sont toujours là visibles mais pas fonctionnelles

lpstat -H

trouve quelque chose en /run/cups/cups.sock qui me renvoi à /etc/cups/printer.conf qui me parle de 3 imprimantes MFC-J4510DW

je relance le script
mais l'adresse IP s'est dégradé: un 192.168.0.2 c'est transformé en 192.168..2
donc non reconnaissance de l'imprimante lors du test
et pas de scanner non plus
le brprinter-installer.log donne

# Configuration du scanner
Invalid IP address (192.168..2)
# Test de l'imprimante
request id is MFC-J4510DW-8 (1 file(s))is 

Pour remédier je me rends sur le panneau de config de la bonne imprimante et modifie l'ip en insérant le 0
résultat ok les pages de test sortent
et je peux supprimer les imprimantes en trop

pas de scan reconnu
sane-find-scanner ne voit pas le scan

résolu en intégrant la ligne de commande d'après la doc

sudo brsaneconfigX -a name=SCANNER_BROTHER_wifi model=NOM_DU_MODELE ip=IP.IMPRIMANTE.RESEAU

ce qui donne chez moi

sudo brsaneconfig4 -a name=SCANNER_BROTHER_wifi model=MFC-J4510DW ip=192.168.0.2

Dernière modification par eric63 (Le 24/02/2018, à 18:26)


kdeïste convaincu avec Kubuntu 18.04 + backports = plasma 5.12.6 et KDE framaworks 5.47.0 Qt 5.9.5
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#2240 Le 29/03/2018, à 19:04

Philke

Re : Script d'installation pour imprimantes Brother

Bonjour,

Subitement, après l'installation et la désinstallation de deux programmes de la logithèque, mon imprimante Brother MFC-J625DW a cessé de fonctionner sous ubuntu alors que sous windows et une autre machine, elle fonctionne bien.
Un message d'erreur apparaissait dans les paramètres systèmes, le voici: Inactif-Backend /usr/lib/cups/backend/lpd does not exist!
J'ai donc désinstallé l'imprimante et au moyen du script de Demonipuch que j'avais déjà utilisé précédemment avec succès, je l'ai réinstallée. A l'issue, j'ai constaté qu'il y avait eu une erreur dans l'exécution du script et que l'imprimante ne fonctionnait toujours pas. Le message identique figure dans le panneau de configuratioin.
Quelqu'un pourrait-il me conseiller? Merci d'avance.
Voici ci-dessous la copie du terminal de cette installation.
Philke

philke@philke-Aspire-7736:~$ wget https://bitbucket.org/demonipuch/brprinter-installer/get/master.zip
--2018-03-29 18:28:14--  https://bitbucket.org/demonipuch/brprinter-installer/get/master.zip
Résolution de bitbucket.org (bitbucket.org)… 2401:1d80:1010::151, 104.192.143.2, 104.192.143.1, ...
Connexion à bitbucket.org (bitbucket.org)|2401:1d80:1010::151|:443… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 5745 (5,6K) [application/zip]
Enregistre : «master.zip»

master.zip          100%[===================>]   5,61K  --.-KB/s    ds 0s      

2018-03-29 18:28:15 (254 MB/s) - «master.zip» enregistré [5745/5745]
philke@philke-Aspire-7736:~$ unzip master.zip
Archive:  master.zip
01cf93566a817a48c394e9edf3ce140ff8f8caf5
   creating: demonipuch-brprinter-installer-01cf93566a81/
 extracting: demonipuch-brprinter-installer-01cf93566a81/.gitignore  
  inflating: demonipuch-brprinter-installer-01cf93566a81/brprinter-installer  

philke@philke-Aspire-7736:~$ cd demonipuch-brprinter-installer-*
philke@philke-Aspire-7736:~/demonipuch-brprinter-installer-01cf93566a81$ sudo bash brprinter-installer
[sudo] Mot de passe de philke : 
Entrez votre modèle : MFC-J625DW
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 1
Vous devriez vous assurer que votre imprimante possède une adresse IP fixe.
Veuillez consulter le manuel de votre imprimante pour plus de détails : http://support.brother.com/g/b/productsearch.aspx?c=fr&lang=fr&content=ml
Entrez l'adresse IP de votre imprimante : 192.168.001.006
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : mfcj625dwlpr-3.0.1-1.i386.deb...           [ OK ] 
 * Téléchargement du paquet : mfcj625dwcupswrapper-3.0.0-1.i386.deb...   [ OK ] 
 * Téléchargement du paquet : brscan4-0.4.4-3.amd64.deb...               [ OK ] 
 * Téléchargement du paquet : brscan-skey-0.2.4-1.amd64.deb...           [ OK ] 
 * Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb... [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                [ OK ] 
 * Recherche du paquet 'multiarch-support' sur votre système...          [ OK ] 
 * Recherche du paquet 'libc6:i386' sur votre système...                 [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                       [ OK ] 
 * Recherche du paquet 'sane-utils' sur votre système...                 [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...     [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...            [ OK ] 
Installation des pilotes
 * Installation du paquet : mfcj625dwlpr-3.0.1-1.i386.deb...             [ OK ] 
 * Installation du paquet : mfcj625dwcupswrapper-3.0.0-1.i386.deb...     [ OK ] 
 * Installation du paquet : brscan4-0.4.4-3.amd64.deb...                 [ OK ] 
 * Installation du paquet : brscan-skey-0.2.4-1.amd64.deb...             [ OK ] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...                               [ OK ] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                                                           OK ] 
 * Ajout de l'imprimante MFC-J625DW...                                                                                                                                  
lpadmin: Bad device-uri scheme "lpd".                                       [fail]
Configuration du scanner
 * Configuration du scanner réseau...                                                                    [ OK ] 
 * Copie des librairies nécessaires...                                                                                                                                   
cp: '/usr/lib64/sane/libsane-brother4.so.1.0.7' et './libsane-brother4.so.1.0.7' identifient le même fichier
                                                                                                                                                                  [ OK ]
Test de l'imprimante
Voulez-vous lancer l'impression d'une page de test? [o/N] o
philke@philke-Aspire-7736:~/demonipuch-brprinter-installer-01cf93566a81$ 

Hors ligne

#2241 Le 29/03/2018, à 19:25

eric63

Re : Script d'installation pour imprimantes Brother

Entrez l'adresse IP de votre imprimante : 192.168.001.006

j'aurais mis 192.168.01.06 et même 192.168.1.6

Dernière modification par eric63 (Le 29/03/2018, à 19:26)


kdeïste convaincu avec Kubuntu 18.04 + backports = plasma 5.12.6 et KDE framaworks 5.47.0 Qt 5.9.5
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#2242 Le 29/03/2018, à 19:50

fabux

Re : Script d'installation pour imprimantes Brother

Salut,

si tu essai de créer le fichier ?

sudo touch /usr/lib/cups/backend/lpd

À moins que ce ne soit un dossier...

sudo mkdir -p /usr/lib/cups/backend/lpd

Sinon peut-être vérifier que tu fais parti du groupe lpd ("id" ou "groups" devrait te le dire)
J'ai aussi vu trainer un

sudo aa-complain cupsd

(cf la doc apparmor

Enfin essayer de désinstaller/reinstaller cups

Hors ligne

#2243 Le 29/03/2018, à 23:01

ygrekel

Re : Script d'installation pour imprimantes Brother

Bonjour
j'utilise le script super de ce post tres souvent et ca marche... du moins pour mon imprimante (mfc-7420)
Car des que c'est installé, j'ai un sens interdit en haut a droite dans mon ubuntu, et apres, si je peux certe utiliser mon imprimante, je ne peux plsu rien installer du tout.
Donc a chaque fois que je veux installer un nouveau truc, je dois desinstaller mon imprimante, le sens interdit disparait, et j'installe mon truc, puis je réinstalle mon imprimante...

Si vous avez une debut de solution, je suis preneur!!!?

Voici qq infos utile (ou pas) pour m'aider (qu'on m'a deja demandé lors de l'evocation de ce probleme dans un autre sujet du forum!)

c'est une Brother MFC 7420, a toner, noir et blanc (qui fait scanner et fax...aussi)

voici les retours de sudo apt full upgrade:

sudo apt full-upgrade
[sudo] Mot de passe de yanadeteloetcie : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 brother-cups-wrapper-laser : Est en conflit avec: cupswrappermfc7420 mais 2.0.1-2 est installé
 brother-lpr-drivers-laser : Est en conflit avec: brmfc7420lpr mais 2.0.1-1 est installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

et de cat /etc/apt/sources.list

#------------------------------------------------------------------------------#
#                            OFFICIAL UBUNTU REPOS                             #
#------------------------------------------------------------------------------#


###### Ubuntu Main Repos
deb http://fr.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse 

###### Ubuntu Update Repos
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse 
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse 
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse 

###### Ubuntu Partner Repo
deb http://archive.canonical.com/ubuntu xenial partner

et de ls /etc/apt/sources.list.d -1

alexlarsson-ubuntu-flatpak-xenial.list
alexlarsson-ubuntu-flatpak-xenial.list.save

Merci de votre aide.
(je précise que je n'ai pas lu les 90 page de ce topic pour y trouver ma solution (et encore faire pire que mieux comme a mon habitude!)
Yann

Hors ligne

#2244 Le 29/03/2018, à 23:11

fabux

Re : Script d'installation pour imprimantes Brother

@ygrekel: tu as essayé ce qui est indiqué dans le retour d'apt

sudo apt-get install -f

Hors ligne

#2245 Le 30/03/2018, à 21:19

ygrekel

Re : Script d'installation pour imprimantes Brother

salut

oui j'ai fait ca, c'est meme ce que je fais quand je veux desinstaller mon imprimante pour installer autre chose... donc en gros, ca desinstalle le tout, soit les fameux paquet obsoletes...
autres idées?
merci
yann

Hors ligne

#2246 Le 31/03/2018, à 08:41

Philke

Re : Script d'installation pour imprimantes Brother

@fabux:
Bonjour,
La création du fichier lpd a échoué, un message me dit qu'il s'agit d'un dossier. J'ai donc tenté de créér le dossier lpd en utilisant ta ligne de commande. Cela a marché. Puis j'ai rebooté.

philke@philke-Aspire-7736:/usr/lib/cups/backend$ dir
beh		  http	 implicitclass	ipp14  lpd	 serial
gutenprint52+usb  https  ipp		ipps   parallel
philke@philke-Aspire-7736:/usr/lib/cups/backend$ 

Toutefois, le problème reste. Voici ce qu'affiche l'état de l'imprimante désormais après que j'aie lancé un test d'impression de page des CUPS: Inactif - File "/usr/lib/cups/backend/lpd" is a directory.
Selon ton conseil, je suis allé voir si je faisais partie du groupe via id ou groups. Visiblement, je ne le suis pas:

philke@philke-Aspire-7736:~$ id
uid=1000(philke) gid=1000(philke) groupes=1000(philke),4(adm),24(cdrom),27(sudo),30(dip),46(plugdev),113(lpadmin),128(sambashare)
philke@philke-Aspire-7736:~$ groups
philke adm cdrom sudo dip plugdev lpadmin sambashare
philke@philke-Aspire-7736:~$ 

J'ai aussi tenté la commande: sudo aa-complain cupsd

philke@philke-Aspire-7736:~$ sudo aa-complain cupsd
[sudo] Mot de passe de philke : 
sudo: aa-complain : commande introuvable
philke@philke-Aspire-7736:~$ 

Enfin, le paquet CUPS n'était pas installé alors que le CUPS-CLIENTS l'était bel et bien. J'ai donc installé CUPS puis reboot.
Et nada, l'impression ne se lance toujours pas. Merci de tes conseils.
Bonne fête de Pâques!
Philke

Hors ligne

#2247 Le 31/03/2018, à 14:59

Philke

Re : Script d'installation pour imprimantes Brother

@fabux:

J'ai lancé un update puis un upgrade et voici ce que cela a donné. Au final des erreurs dans CUPS et autre.

philke@philke-Aspire-7736:~$ sudo apt-get update
[sudo] Mot de passe de philke : 
Réception de:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Atteint:2 http://be.archive.ubuntu.com/ubuntu xenial InRelease                 
Réception de:3 http://be.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Réception de:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [67,4 kB]
Réception de:5 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [77,2 kB]
Réception de:6 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [107 kB]
Réception de:7 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [139 kB]
Réception de:8 http://be.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Réception de:9 http://be.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [744 kB]
Réception de:10 http://be.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [690 kB]
Réception de:11 http://be.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [317 kB]
Réception de:12 http://be.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [231 kB]
Réception de:13 http://be.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [615 kB]
Réception de:14 http://be.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [570 kB]
Réception de:15 http://be.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [241 kB]
Réception de:16 http://be.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [321 kB]
Réception de:17 http://be.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5.972 B]
Réception de:18 http://be.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Réception de:19 http://be.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5.088 B]
4.439 ko réceptionnés en 2s (1.851 ko/s)                        
Lecture des listes de paquets... Fait
philke@philke-Aspire-7736:~$ sudo apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  ca-certificates-mono cli-common gcj-5-jre-lib libgcj-common libgcj16
  libgconf2.0-cil libgdiplus libgif7 libglib2.0-cil libgtk2.0-cil
  libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-drawing4.0-cil libmono-system-security4.0-cil
  libmono-system-xml4.0-cil libmono-system4.0-cil libpaps0 libqt5clucene5
  libqt5help5 libqt5xmlpatterns5 linux-headers-4.10.0-28
  linux-headers-4.10.0-28-generic linux-image-4.10.0-28-generic
  linux-image-extra-4.10.0-28-generic mono-4.0-gac mono-gac mono-runtime
  mono-runtime-common mono-runtime-sgen musescore-common paps pdftk python-gi
  python-gobject python-pypdf qml-module-qtquick-controls
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront mis à jour :
  libpci3 lshw pciutils
3 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 474 ko dans les archives.
Après cette opération, 1.024 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://be.archive.ubuntu.com/ubuntu xenial-updates/main amd64 pciutils amd64 1:3.3.1-1.1ubuntu1.2 [234 kB]
Réception de:2 http://be.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpci3 amd64 1:3.3.1-1.1ubuntu1.2 [24,5 kB]
Réception de:3 http://be.archive.ubuntu.com/ubuntu xenial-updates/main amd64 lshw amd64 02.17-1.1ubuntu3.5 [215 kB]
474 ko réceptionnés en 0s (558 ko/s)
(Lecture de la base de données... 268541 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../pciutils_1%3a3.3.1-1.1ubuntu1.2_amd64.deb ...
Dépaquetage de pciutils (1:3.3.1-1.1ubuntu1.2) sur (1:3.3.1-1.1ubuntu1.1) ...
Préparation du dépaquetage de .../libpci3_1%3a3.3.1-1.1ubuntu1.2_amd64.deb ...
Dépaquetage de libpci3:amd64 (1:3.3.1-1.1ubuntu1.2) sur (1:3.3.1-1.1ubuntu1.1) ...
Préparation du dépaquetage de .../lshw_02.17-1.1ubuntu3.5_amd64.deb ...
Dépaquetage de lshw (02.17-1.1ubuntu3.5) sur (02.17-1.1ubuntu3.4) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Paramétrage de cups (2.1.3-4ubuntu0.4) ...
rm: impossible de supprimer 'lpd': est un dossier
dpkg: erreur de traitement du paquet cups (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg: des problèmes de dépendances empêchent la configuration de printer-driver-gutenprint :
 printer-driver-gutenprint dépend de cups (>= 1.3.0) ; cependant :
 Le paquet cups n'est pas encore configuré.

dpkg: erreur de traitement du paquet printer-driver-gutenprint (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de libpci3:amd64 (1:3.3.1-1.1ubuntu1.2) ...
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                  Paramétrage de pciutils (1:3.3.1-1.1ubuntu1.2) ...
Paramétrage de lshw (02.17-1.1ubuntu3.5) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Des erreurs ont été rencontrées pendant l'exécution :
 cups
 printer-driver-gutenprint
E: Sub-process /usr/bin/dpkg returned an error code (1)
philke@philke-Aspire-7736:~$ 

Hors ligne

#2248 Le 31/03/2018, à 18:56

Philke

Re : Script d'installation pour imprimantes Brother

@fabux:

Suite à mon dernier post, je me suis dit qu'il fallait que j'essaie de réinstaller les paquets CUPS et Gutenprint séparément. Comme j'avais déjà vainement tenté de réinstaller CUPS avec une erreur à la clé, j'ai d'abord réinstallé Gutenprint avec Synaptic. Comme la réinstallation s'est bien passée, j'ai poursuivi avec CUPS et il n'y a plus eu de problème.
J'ai donc rebooté puis j'ai lancé un test d'impression de page des CUPS via les paramètres systèmes et cela a marché. Mon imprimante est à nouveau opérationnelle en réseau. Ouf!
La fonction scanner fonctionne également.
Comme quoi avec des conseils avisés et un peu de jugeotte, on peut s'en sortir!
Merci et encore bonne fête de Pâques!
Philke.

Hors ligne

#2249 Le 31/03/2018, à 18:59

Philke

Re : Script d'installation pour imprimantes Brother

@fabux:

J'ai oublié de dire que le fichier lpd se trouve maintenant bien installé dans le sous-répertoire Backend.

Hors ligne

#2250 Le 02/04/2018, à 18:13

Rin78

Re : Script d'installation pour imprimantes Brother

salut,

Merci Demonipuch pour ce script ça a fonctionné pour moi.....

Hors ligne